| Earth Observation Mission CFI Software DataHandling Software User Manual for JAVA |

Public Member Functions | Public Attributes

# EECFI.OrbitFile Class Reference

Class for reading/writing orbit files. More...

Inheritance diagram for EECFI.OrbitFile:

List of all members.

## Public Member Functions
| OrbitFile ()
| Constructor.
| OrbitFile (String fileNam)
| Constructor with file name.
native void | read (final boolean readFroFlag, final boolean readingOsvFlag) throws CfiError
| Read the whole file data block.
native void | read (final boolean readFroFlag, final double startRange, final double stopRange, final boolean readingOsvFlag) throws CfiError
| Read the file data block between startRange and stopRange in orbits.
native void | read (final boolean readFroFlag, final long timeRef, final double startRange, final double stopRange, final boolean readingOsvFlag) throws CfiError
| Read the file data block between startRange and stopRange in days.
native void | write (final String fileNam, FixedHeader fixedHead, Vector< OsvRec > osvData) throws CfiError
| Write the file.
native OrbitFile | decimate (double decimationDeltaTime) throws CfiError
| Decimate the list of orbit state vectors according to input delta time.
long | xsltAdd () throws CfiError
| Add xslt reference with default stylesheet.
## Public Attributes
Vector< OsvRec > | osvRec
| Vector of state vectors.

## Detailed Description

Class for reading/writing orbit files.

## Constructor & Destructor Documentation

EECFI.OrbitFile.OrbitFile | ( |  | ) |

Constructor.

EECFI.OrbitFile.OrbitFile | ( | String | fileNam | ) |

Constructor with file name.

## Member Function Documentation

native OrbitFile EECFI.OrbitFile.decimate | ( | double | decimationDeltaTime | ) | throws CfiError

Decimate the list of orbit state vectors according to input delta time.

Being t0 the time of the 1st state vector of input list (calling object) and D the decimationDeltaTime, the state vectors from the input list that will be included in the output list will be those closer to every time t=t0+k*D (k=1,2...n). Important: the fixed header of calling object must have been read.

void EECFI.OrbitFile::read | ( | final boolean | readFroFlag,
|  | final boolean | readingOsvFlag |
| ) |  |  | throws CfiError

Read the whole file data block.

Parameters:

  | readFroFlag | Type of input file: "true" for ROF and DORIS files "false" for POF files. .
  | readingOsvFlag | Select if state vectors are read (true) or only times and orbit numbers (false).

void EECFI.OrbitFile::read | ( | final boolean | readFroFlag,
|  | final long | timeRef,
|  | final double | startRange,
|  | final double | stopRange,
|  | final boolean | readingOsvFlag |
| ) |  |  | throws CfiError

Read the file data block between startRange and stopRange in days.

Parameters:

  | readFroFlag | Type of input file: "true" for ROF and DORIS files "false" for POF files. .
  | readingOsvFlag | Select of state vectors are read (true) or only times and orbit numbers (false).
  | startRange | Start orbit.
  | stopRange | Stop orbit.
  | timeRef | Time reference.

void EECFI.OrbitFile::read | ( | final boolean | readFroFlag,
|  | final double | startRange,
|  | final double | stopRange,
|  | final boolean | readingOsvFlag |
| ) |  |  | throws CfiError

Read the file data block between startRange and stopRange in orbits.

Parameters:

  | readFroFlag | Type of input file: "true" for ROF and DORIS files "false" for POF files. .
  | readingOsvFlag | Select of state vectors are read (true) or only times and orbit numbers (false).
  | startRange | Start orbit.
  | stopRange | Stop orbit.

void EECFI.OrbitFile::write | ( | final String | fileNam,
|  | FixedHeader | fixedHead,
|  | Vector< OsvRec > | osvData |
| ) |  |  | throws CfiError

Write the file.

Parameters:

  | fileNam | Name of the file to write.
  | fixedHead | FixedHeader object with fixed header data.
  | osvData | Vector of state vectors.

long EECFI.OrbitFile.xsltAdd | ( |  | ) | throws CfiError

Add xslt reference with default stylesheet.

## Member Data Documentation

Vector<OsvRec> EECFI.OrbitFile.osvRec

Vector of state vectors.